# TdApi.PageBlockPhoto (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: PageBlockPhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockPhoto

Enclosing class:
  TdApi

public static final class TdApi.PageBlockPhoto extends TdApi.PageBlock
A photo.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.PageBlockCaption`
`caption`
Photo caption.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.Photo`
`photo`
Photo file; may be null.
`String`
`url`
URL that needs to be opened when the photo is clicked.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockPhoto()`
A photo.
`PageBlockPhoto(TdApi.Photo photo, TdApi.PageBlockCaption caption, String url)`
A photo.
`PageBlockPhoto(DataInput input)`
A photo.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.Photo photo
Photo file; may be null.

### caption

public TdApi.PageBlockCaption caption
Photo caption.

### url

public String url
URL that needs to be opened when the photo is clicked.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockPhoto

public PageBlockPhoto()
A photo.

### PageBlockPhoto

public PageBlockPhoto(TdApi.Photo photo, TdApi.PageBlockCaption caption, String url)
A photo.

Parameters:
  `photo` - Photo file; may be null.
  `caption` - Photo caption.
  `url` - URL that needs to be opened when the photo is clicked.

### PageBlockPhoto

public PageBlockPhoto(DataInput input) throws IOException
A photo.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`